# NAME

Trf_MDUpdateBuf - Interface to procedures for update of a MD context.

# SYNOPSIS

    #include <transform.h>

    void Trf_MDUpdateBuf
    (
    	void *context,
    	unsigned char *buf,
    	int bufLen
    );

# PARAMETERS

void *context
  State to update.
unsigned char *buf
  Buffer to hash into the state.
int bufLen
  Number of characters in the buffer.

# DESCRIPTION

A procedure of this type is called for character buffer to hash into the final digest. This procedure is optional, its definition has precedence over 'Trf_MDUpdate'.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs